%define module	bioperl
%define name	perl-%{module}
%define version 1.6.0
%define release %mkrel 1

%define _requires_exceptions perl(Bio::Expression::FeatureSet)\\|perl(TestInterface)
%define _provides_exceptions perl(Error)\\|perl(Error::Simple)\\|perl(Error::subs)\\|perl(TestInterface)\\|perl(TestObject)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BioPerl core modules
Group:		Development/Perl
License:	Artistic
URL:		http://www.bioperl.org
Source:		http://bioperl.org/DIST/BioPerl-%{version}.tar.bz2

Requires:	perl-Class-MakeMethods
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Clone)
BuildRequires:	perl(Class::AutoClass)
BuildRequires:	perl(CPAN) >= 1.9205
BuildRequires:  perl(Data::Stag::Writer)
BuildRequires:	perl(GD)
#BuildRequires:	perl(GD::SVG)
BuildRequires:	perl(IO::String)
BuildRequires:	perl(SVG::Graph)
BuildRequires:	perl(Text::Shellwords)
BuildRequires:	perl(Tree::DAG_Node)
BuildRequires:	perl(XML::DOM::XPath)
BuildRequires:	perl(XML::SAX::Writer)
BuildRequires:  perl(XML::Twig)
BuildRequires:	perl(XML::Writer)

Obsoletes:	perl-Bioperl
Provides:	perl-Bioperl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n BioPerl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOI &>/dev/null
n
a
n
EOI
%make

%check
#%make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
# those should belong to Bioperl-Run instead
%{__rm} -f %{buildroot}%{_bindir}/bp_pairwise_kaks.pl
%{__rm} -f %{buildroot}%{_bindir}/bp_blast2tree.pl

# correct permissions
find %{buildroot}%{perl_vendorlib}/Bio/ -name "*.pm" -exec chmod 644 {} \;

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples doc; do
    find $dir -type f -regex $executables | xargs chmod 644
    find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
    find $dir -type f ! -regex $executables | xargs chmod 644
    find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc examples models
%doc AUTHORS BUGS Changes DEPENDENCIES DEPRECATED INSTALL LICENSE PLATFORMS README
%{_bindir}/*
%{perl_vendorlib}/Bio/
#%{perl_vendorlib}/*.pl
#%{perl_vendorlib}/*.pod
%{_mandir}/*/*


%changelog
* Mon Jan 26 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 333774
- Update to 1.6.0 final
- Removed unused patch

* Tue Dec 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.9-1mdv2009.1
+ Revision: 321400
- new version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.2_102-3mdv2009.0
+ Revision: 255439
- rebuild

* Fri Jan 11 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.5.2_102-1mdv2008.1
+ Revision: 148695
- Disable tests due to stange failure in bs
- CPAN should not be triggered now since we have all necessary dependencies
- added basic default options for scripts and extra plugins
- Add BuildRequires for iurt
- Add a stronger dependency on CPAN version
- Update to 1.5.2_102
- Added some dependencies (perl-GD-SVG still missing)
- Tests enabled since the new perl @INC search order allows to get the latest modules first
- Fix some permissions in doc
- Correct included files in docdir

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 1.5.1-5mdv2007.1
+ Revision: 142178
- quick and dirty workaround of rpm find-provides and find-requires looking
  for things even in /usr/share/doc/.../examples/...
- hack: disabling "make test" so that build works

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-bioperl

* Fri May 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-4mdk
- better buildrequires syntax 
- more buildrequires

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-3mdk
- buildrequires

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdk
- fix dependencies

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdk
- new version
- fixed doc files perms, encoding and shellbang
- don't install scripts in documentation, they are already installed in /usr/bin

* Tue Jan 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0-4mdk
- Add BuildRequires

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.0-3mdk
- corrected name
- %%mkrel
- enable test, except failing one

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0-2mdk
- rebuild for new Perl

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.5.0-1mdk 
- new version
- generate man pages
- spec cleanup

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-4mdk
- fix buildrequires in a backward compatible way

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk 
- rpmbuildupdate aware

